{
    attributes = (
        {
            columnName = "C_LANGUE"; 
            externalType = VARCHAR2; 
            name = cLangue; 
            valueClassName = NSString; 
            width = 2; 
        }, 
        {
            columnName = "CONR_ORDRE"; 
            externalType = NUMBER; 
            name = conrOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "PERS_ID_CREATION"; 
            externalType = NUMBER; 
            name = persIdCreation; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "PERS_ID_MODIFICATION"; 
            externalType = NUMBER; 
            name = persIdModification; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "RCL_ORDRE"; 
            externalType = NUMBER; 
            name = rclOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (cLangue, conrOrdre, rclOrdre); 
    className = "org.cocktail.fwkcktlrecherche.server.metier.EORepartContratLangue"; 
    classProperties = (
        contratRecherche, 
        dCreation, 
        dModification, 
        langue, 
        persIdCreation, 
        persIdModification
    ); 
    externalName = "RECHERCHE.REPART_CONTRAT_LANGUE"; 
    fetchSpecificationDictionary = {}; 
    name = RepartContratLangue; 
    primaryKeyAttributes = (rclOrdre); 
    relationships = (
        {
            destination = ContratRecherche; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = conrOrdre; sourceAttribute = conrOrdre; }); 
            name = contratRecherche; 
        }, 
        {
            destination = "Fwkpers_Langue"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = cLangue; sourceAttribute = cLangue; }); 
            name = langue; 
        }
    ); 
}
